Subject: Re: [net V2 5/9] net/mlx5: Register a unique thermal zone per device

From: Jakub Kicinski <[email-masked]>
Date: Thu, 6 Jul 2023 08:42:46 -0700

On Wed, 5 Jul 2023 23:09:36 -0700 Saeed Mahameed wrote:
> >Damn, that's strange. What's the reason you went with thermal zone
> >instead of a hwmon device?  
> 
> hwmon is planned for next release, it will replace the thermal. Internal
> code review is almost done.
> I just wanted to fix this so those who still have old kernel will at least
> enjoy the thermal interface :) ..

I see, makes sense. I thought thermal zone is somehow newer or better
for integrating with fans or who knows what..